libQtWebKit4-4.8.7+2.3.4-7.3.2.x86_64.rpm


Advertisement

Description

libQtWebKit4 - Open source Web Browser engine based on Qt4

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package name libQtWebKit4
Package version 4.8.7+2.3.4
Package release 7.3.2
Package architecture x86_64
Package type rpm
Installed size 33.12 MB
Download size 8.13 MB
Official Mirror widehat.opensuse.org
WebKit is an open source web browser engine. WebKit's HTML and JavaScript code
began as a branch of the KHTML and KJS libraries from KDE. As part of KDE
framework KHTML was based on Qt but during their porting efforts Apple's
engineers made WebKit toolkit independent. QtWebKit is a project aiming at
porting this fabulous engine back to Qt.

Alternatives

Package Version Architecture Repository
libQtWebKit4-4.8.7+2.3.4-6.24.x86_64.rpm 4.8.7+2.3.4 x86_64 openSUSE Oss
libQtWebKit4 - - -

Requires

Name Value
/sbin/ldconfig -
libGL.so.1()(64bit) -
libQtCore.so.4()(64bit) -
libQtDeclarative.so.4()(64bit) -
libQtGui.so.4()(64bit) -
libQtNetwork.so.4()(64bit) -
libQtOpenGL.so.4()(64bit) -
libX11.so.6()(64bit) -
libXrender.so.1()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libfontconfig.so.1()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgstapp-1.0.so.0()(64bit) -
libgstaudio-1.0.so.0()(64bit) -
libgstbase-1.0.so.0()(64bit) -
libgstpbutils-1.0.so.0()(64bit) -
libgstreamer-1.0.so.0()(64bit) -
libgstvideo-1.0.so.0()(64bit) -
libjpeg.so.8()(64bit) -
libjpeg.so.8(LIBJPEG_8.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpng16.so.16()(64bit) -
libpng16.so.16(PNG16_0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libqt4-x11 >= 4.8.7
libsqlite3.so.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libwebp.so.5()(64bit) -
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -
libxml2.so.2(LIBXML2_2.6.0)(64bit) -
libxml2.so.2(LIBXML2_2.6.6)(64bit) -
libxslt.so.1()(64bit) -
libxslt.so.1(LIBXML2_1.0.11)(64bit) -
libxslt.so.1(LIBXML2_1.0.22)(64bit) -
libxslt.so.1(LIBXML2_1.0.24)(64bit) -
libxslt.so.1(LIBXML2_1.1.9)(64bit) -
libz.so.1()(64bit) -
libz.so.1(ZLIB_1.2.0)(64bit) -

Provides

Name Value
libQtWebKit.so.4()(64bit) -
libQtWebKit4 = 4.8.7+2.3.4-7.3.2
libQtWebKit4(x86-64) = 4.8.7+2.3.4-7.3.2
libqmlwebkitplugin.so()(64bit) -
libqwebview.so()(64bit) -
qtwebkit = 4.8.7+2.3.4

Download

Type URL
Binary Package libQtWebKit4-4.8.7+2.3.4-7.3.2.x86_64.rpm
Source Package libQtWebKit4-4.8.7+2.3.4-7.3.2.src.rpm

Install Howto

Install libQtWebKit4 rpm package:

# zypper install libQtWebKit4

Files

Path
/usr/lib64/libQtWebKit.so.4
/usr/lib64/libQtWebKit.so.4.10
/usr/lib64/libQtWebKit.so.4.10.4
/usr/lib64/qt4/plugins/designer/libqwebview.so
/usr/lib64/qt4/plugins/imports/QtWebKit/libqmlwebkitplugin.so
/usr/lib64/qt4/plugins/imports/QtWebKit/qmldir

Changelog

2017-11-30 - dimstar@opensuse.org
- Unconditionally buildrequire python-xml: our build script makes
use of it and we just can't rely on 3rd party packages to bring
our dependencies (in the past, glib2-devel brought python-xml,
but that package changed to python3 code).
2017-03-20 - rguenther@suse.com
- Disable -Wextra due to noisy -Wexpansion_to_defined which is enabled
with -Wextra starting with GCC 7.  Otherwise we run into
"Logfile got too big, killed job.".
2016-09-09 - mmarek@suse.cz
- Rebuild with a fixed flex package to fix a buffer overflow
(bsc#990856, CVE-2016-6354).
2015-07-26 - hrvoje.senjan@gmail.com
- Fix the suse_version check logic in the gstreamer BuildRequires
in order to build with gst1.0 API on Leap
2015-05-28 - dmueller@suse.com
- update for Qt 4.8.7
2015-04-27 - hrvoje.senjan@gmail.com
- Add fix-g++5-build.patch from upstream
2014-09-25 - hrvoje.senjan@gmail.com
- Update to 2.3.4:
* Bugfix release
* Incorporated GStreamer 1.0 support
- Drop gstreamer-1.0.diff, aarch64-support.patch, bison3.patch,
ppc64le-support.patch, all merged upstream
2014-04-30 - dmueller@suse.com
- build against Qt 4.8.6
2014-01-26 - schwab@linux-m68k.org
- lowlevelinterpreter-bigendian.patch: fix LLInt for big endian (webkit#103128)
- Remove extra / from RPM_OPT_FLAGS
2013-12-13 - uweigand@de.ibm.com
- ppc64le-support.patch: Add powerpc64le-linux support.

See Also

Package Description
libSDL2-2_0-0-2.0.3-14.1.x86_64.rpm Simple DirectMedia Layer Library
libSDL2-2_0-0-2.0.8-18.1.x86_64.rpm Simple DirectMedia Layer Library
libSDL2-2_0-0-32bit-2.0.3-14.1.x86_64.rpm Simple DirectMedia Layer Library
libSDL2-2_0-0-32bit-2.0.8-18.1.x86_64.rpm Simple DirectMedia Layer Library
libSDL2-devel-2.0.3-14.1.x86_64.rpm SDL2 Library Developer Files
libSDL2-devel-2.0.8-18.1.x86_64.rpm SDL2 Library Developer Files
libSDL2-devel-32bit-2.0.3-14.1.x86_64.rpm SDL2 Library Developer Files
libSDL2-devel-32bit-2.0.8-18.1.x86_64.rpm SDL2 Library Developer Files
libSDL2_image-2_0-0-2.0.0-13.7.1.x86_64.rpm Simple DirectMedia Layer 2 ? Image Loading Library
libSDL2_image-2_0-0-2.0.3-13.10.1.x86_64.rpm Simple DirectMedia Layer 2 ? Image Loading Library
libSDL2_image-2_0-0-2.0.4-13.13.1.x86_64.rpm Simple DirectMedia Layer 2 – Image Loading Library
libSDL2_image-2_0-0-32bit-2.0.0-13.7.1.x86_64.rpm Simple DirectMedia Layer 2 ? Image Loading Library
libSDL2_image-2_0-0-32bit-2.0.3-13.10.1.x86_64.rpm Simple DirectMedia Layer 2 ? Image Loading Library
libSDL2_image-2_0-0-32bit-2.0.4-13.13.1.x86_64.rpm Simple DirectMedia Layer 2 – Image Loading Library
libSDL2_image-devel-2.0.0-13.7.1.x86_64.rpm Development files for the SDL2 image loader library
Advertisement
Advertisement